<?php
/******************************************************************************/
//                                                                            //
//                             InstantMedia 2014                              //
//	 		  http://www.instantmedia.ru/, support@instantmedia.ru            //
//                               written by Fuze                              //
//                                                                            //
/******************************************************************************/
class authlogs extends cmsFrontend {

    protected $useOptions = true;

    public function __construct($request){
        parent::__construct($request);
    }


//============================================================================//

    public function log($user_id, $is_success=1){

        if(!is_numeric($user_id)){

            $user = $this->model->filterEqual('email', $user_id)->getItem('{users}');
            if(!$user){ return false; } else {
                $user_id = $user['id'];
            }

        }

        $this->model->insert('auth_logs', array(
            'ip'=>sprintf('%u', ip2long(cmsUser::getIp())),
            'user_id'=>$user_id,
            'is_success'=>$is_success,
            'useragent'=>strip_tags((string)$_SERVER['HTTP_USER_AGENT']),
        ));

        $this->deleteOldAuth($user_id);

        return true;

    }

//============================================================================//

    private function deleteOldAuth($user_id) {
        $this->model->db->query("DELETE FROM `{#}auth_logs` WHERE id IN (SELECT id FROM (SELECT id FROM `{#}auth_logs` WHERE user_id = '{$user_id}' ORDER BY `id` DESC LIMIT {$this->options['limit']}, 10) as x)");
    }

}
