<?php

    $this->setPageTitle(LANG_AUTHLOGS_HISTORY, $profile['nickname']);

    $this->addBreadcrumb(LANG_USERS, href_to('users'));
    $this->addBreadcrumb($profile['nickname'], href_to('users', $profile['id']));
    $this->addBreadcrumb(LANG_AUTHLOGS_HISTORY);

?>
<div class="sess_messages"><div class="message_info">
    <?php echo LANG_AUTHLOGS_TAB_HINT; ?>
</div></div>
<?php if($logs){ ?>
    <table class="auth_table">
        <tr>
            <th><?php echo LANG_AUTHLOGS_BROWSER; ?></th>
            <th><?php echo LANG_AUTHLOGS_TIME; ?></th>
            <th><?php echo LANG_AUTHLOGS_IP; ?></th>
        </tr>
        <?php foreach ($logs as $log) { ?>

            <tr <?php if (!$log['is_success']) { ?>class="auth_error" title="<?php echo LANG_AUTHLOGS_AUTH_ERROR; ?>"<?php } ?>>
                <td>
                    <?php echo $log['browser']; ?>
                </td>
                <td title="<?php echo $log['auth_date']; ?>">
                    <?php echo $log['fauth_date']; ?>
                </td>
                <td>
                    <a target="_blank" href="https://apps.db.ripe.net/search/query.html?searchtext=<?php echo $log['fip']; ?>#resultsAnchor">
                        <?php echo $log['fip']; ?>
                    </a>
                </td>
            </tr>

        <?php } ?>

    </table>
<?php } else { ?>
        <?php echo LANG_AUTHLOGS_LOGS_NOT_FOUND; ?>
<?php }
